Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SeenBallState Class Reference

The knowledge abot the ball that was obtained by own observations. More...

`#include <BallModel.h>`

Inheritance diagram for SeenBallState:

[legend]
Collaboration diagram for SeenBallState:

[legend]
List of all members.

## Public Member Functions
| SeenBallState ()
| Constructor.
void | reset ()
| Resets all data of the ball position.
long | getConsecutivelySeenTime () const
| If this is positive, we see the ball for that time consecutively.
virtual void | serialize (In *in, Out *out)
## Public Attributes
unsigned long | timeWhenLastSeen
| The time when the ball was last seen by the own camera.
unsigned long | timeWhenFirstSeenConsecutively
| The time when the ball was last seen consecutively, i.e.
unsigned long | timeUntilSeenConsecutively
| The time until the ball has been seen consecutively, i.e.

## Detailed Description

The knowledge abot the ball that was obtained by own observations.

Definition at line 385 of file BallModel.h.

## Constructor & Destructor Documentation

SeenBallState::SeenBallState | ( |  | ) |

| Constructor. Definition at line 439 of file BallModel.cpp. References reset().

Here is the call graph for this function:

## Member Function Documentation

void SeenBallState::reset | ( |  | ) |

| Resets all data of the ball position. Reimplemented from BallState. Definition at line 445 of file BallModel.cpp. References BallState::reset(), timeUntilSeenConsecutively, timeWhenFirstSeenConsecutively, and timeWhenLastSeen. Referenced by BallModel::reset(), PropagatedBallState::reset(), and SeenBallState().

Here is the call graph for this function:

long SeenBallState::getConsecutivelySeenTime | ( |  | ) | const

| If this is positive, we see the ball for that time consecutively. If this is negative, we have not seen the ball consecutively for -that time. Definition at line 453 of file BallModel.cpp. References SystemCall::getTimeSince(), timeUntilSeenConsecutively, and timeWhenFirstSeenConsecutively.

Here is the call graph for this function:

void SeenBallState::serialize | ( | In * | in,
|  | Out * | out
| ) | `[virtual]`

| Reimplemented from BallState. Definition at line 467 of file BallModel.cpp. References getStreamHandler(), StreamHandler::registerBase(), STREAM, STREAM_BASE, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, timeUntilSeenConsecutively, timeWhenFirstSeenConsecutively, and timeWhenLastSeen.

Here is the call graph for this function:

## Member Data Documentation

unsigned long SeenBallState::timeWhenLastSeen

| The time when the ball was last seen by the own camera. "position" and speed were set at that point in time. Definition at line 413 of file BallModel.h. Referenced by GT2005ObstaclesLocator::addPSDPercept(), GT2005StrategySymbols::computeRole(), KickLogger::execute(), GT2005BasicBehaviorGoalieReturnToGoal::execute(), GTCamBallLocator::execute(), GT2005HeadControlSymbols::getBallTimeSinceLastSeen(), BallSymbols::getJustSeen(), BallModel::getKnownBallState(), BallModel::getKnownPosition(), BallModel::getTimeSinceLastKnown(), BallSymbols::getTimeSinceLastSeen(), GT2005BehaviorControl::preExecute(), CLogAnalyzerBase::readRemoteCamWorldState(), reset(), LogPlayer::saveSynchronized(), serialize(), GT2005BallLocator::setBallSymbols(), and GTStandardConverter::setData().

unsigned long SeenBallState::timeWhenFirstSeenConsecutively

| The time when the ball was last seen consecutively, i.e. it has been seen "a lot" but not necessarily in all frames; gaps of n frames or more are okay Definition at line 420 of file BallModel.h. Referenced by GTCamBallLocator::execute(), GT2005HeadControlSymbols::getBallConsecutivelySeenTime(), getConsecutivelySeenTime(), BallSymbols::getConsecutivelySeenTime(), KickSelectionSymbols::intentionalKickPossible(), reset(), KickSelectionSymbols::retrieveKick(), serialize(), and GT2005BallLocator::setBallSymbols().

unsigned long SeenBallState::timeUntilSeenConsecutively

| The time until the ball has been seen consecutively, i.e. it has been seen "a lot" but not necessarily in all frames until the time stored here; Definition at line 427 of file BallModel.h. Referenced by GTCamBallLocator::execute(), GT2005HeadControlSymbols::getBallConsecutivelySeenTime(), getConsecutivelySeenTime(), BallSymbols::getConsecutivelySeenTime(), GT2005HeadControlSymbols::getTimeSinceLastSeenConsecutively(), BallSymbols::getTimeSinceLastSeenConsecutively(), KickSelectionSymbols::intentionalKickPossible(), reset(), KickSelectionSymbols::retrieveKick(), serialize(), and GT2005BallLocator::setBallSymbols().

The documentation for this class was generated from the following files:

- Representations/Cognition/BallModel.h
- Representations/Cognition/BallModel.cpp